SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

DECLARE @Major int, @Minor int, @Patch int, @Installed DateTime, @Prereqs int

Set @Major = 3;
Set @Minor = 1;
Set @Patch = 13;

Select @Prereqs = isnull(Count(InstallDate),0)  from cs_SchemaVersion where Major=@Major and Minor=@Minor and Patch<@Patch

Select @Installed = InstallDate  from cs_SchemaVersion where Major=@Major and Minor=@Minor and Patch=@Patch

If(@Installed is null AND @Prereqs = @Patch)
	BEGIN
--## Schema Patch ##

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DF_cs_Sections_EnableAutoDelete]'))
exec sp_executesql N'ALTER TABLE [dbo].[cs_Sections] DROP CONSTRAINT [DF_cs_Sections_EnableAutoDelete]'

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DF_cs_Sections_AutoDeleteThreshold]'))
exec sp_executesql N'ALTER TABLE [dbo].[cs_Sections] DROP CONSTRAINT [DF_cs_Sections_AutoDeleteThreshold]'

exec sp_executesql N'ALTER TABLE [dbo].[cs_Sections] DROP COLUMN [EnableAutoDelete]'
exec sp_executesql N'ALTER TABLE [dbo].[cs_Sections] DROP COLUMN [AutoDeleteThreshold]'

--## END Schema Patch ##
Insert into cs_SchemaVersion(Major, Minor, Patch, InstallDate) values (@Major, @Minor, @Patch, GetDate())

Print 'Schema Patch v' + Convert(Varchar(2),@Major) + '.' + Convert(Varchar(2),@Minor) + '.' +  Convert(Varchar(3),@Patch) + ' was applied successfully '

	END
ELSE IF(@Installed is not null)
	BEGIN
Print 'Schema Patch v' + Convert(Varchar(2),@Major) + '.' + Convert(Varchar(2),@Minor) + '.' +  Convert(Varchar(3),@Patch) + ' was already applied on ' + Convert(varchar(50), @Installed)  
	END 
ELSE
	BEGIN
Print 'The patch could not be applied because your current schema is missing previous updates (Schema Patch v' + Convert(Varchar(2),@Major) + '.' + Convert(Varchar(2),@Minor) + '.' +  Convert(Varchar(3),@Patch) + ')' 
	END 
