SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

DECLARE @Major int, @Minor int, @Patch int, @Installed DateTime, @Prereqs int

Set @Major = 4;
Set @Minor = 1;
Set @Patch = 2;

Select @Prereqs = isnull(Count(InstallDate),0)  from cs_SchemaVersion where Major=@Major and Minor=@Minor and Patch<@Patch

Select @Installed = InstallDate  from cs_SchemaVersion where Major=@Major and Minor=@Minor and Patch=@Patch

If(@Installed is null AND @Prereqs = @Patch)
	BEGIN
--## Schema Patch ##


EXECUTE sp_executesql N'
CREATE TABLE [dbo].[cs_Wiki_Tags]
(
	[TagId] [int] IDENTITY (1, 1) NOT NULL,
	[Name] [nvarchar] (256) NOT NULL,
	[NameLowerCase] AS LOWER([Name]),
	CONSTRAINT [PK_cs_Wiki_Tags] PRIMARY KEY CLUSTERED ([TagId]) ON [PRIMARY]
)
ON [PRIMARY]'


EXECUTE sp_executesql N'
CREATE TABLE [dbo].[cs_Wiki_PageTags]
(
	[PageId] [int] NOT NULL,
	[TagId] [int] NOT NULL,
	CONSTRAINT [PK_cs_Wiki_PageTags] PRIMARY KEY CLUSTERED ([PageId], [TagId]) ON [PRIMARY]
)
ON [PRIMARY]'

EXECUTE sp_executesql N'
ALTER TABLE [dbo].[cs_Wiki_PageTags] ADD
	CONSTRAINT [FK_cs_Wiki_PageTags_cs_Wiki_Pages] FOREIGN KEY ([PageId]) REFERENCES [dbo].[cs_Wiki_Pages] ([PageId]) ON DELETE CASCADE'

EXECUTE sp_executesql N'
ALTER TABLE [dbo].[cs_Wiki_PageTags] ADD
	CONSTRAINT [FK_cs_Wiki_PageTags_cs_Wiki_Tags] FOREIGN KEY ([TagId]) REFERENCES [dbo].[cs_Wiki_Tags] ([TagId]) ON DELETE CASCADE'


--## END Schema Patch ##
Insert into cs_SchemaVersion(Major, Minor, Patch, InstallDate) values (@Major, @Minor, @Patch, GetDate())

Print 'Schema Patch v' + Convert(Varchar(2),@Major) + '.' + Convert(Varchar(2),@Minor) + '.' +  Convert(Varchar(3),@Patch) + ' was applied successfully '

	END
ELSE IF(@Installed is not null)
	BEGIN
Print 'Schema Patch v' + Convert(Varchar(2),@Major) + '.' + Convert(Varchar(2),@Minor) + '.' +  Convert(Varchar(3),@Patch) + ' was already applied on ' + Convert(varchar(50), @Installed)  
	END 
ELSE
	BEGIN
Print 'The patch could not be applied because your current schema is missing previous updates (Schema Patch v' + Convert(Varchar(2),@Major) + '.' + Convert(Varchar(2),@Minor) + '.' +  Convert(Varchar(3),@Patch) + ')' 
	END 
