SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[cs_Posts_ReindexByGroup]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[cs_Posts_ReindexByGroup]
GO


CREATE PROCEDURE [dbo].[cs_Posts_ReindexByGroup]
(
	@GroupID	int,
	@SettingsID	int
)
AS
	-- first, set the post to be removed from the index
	INSERT cs_es_Search_RemoveQueue (PostID, SettingsID, ApplicationType) 
	SELECT P.PostID, P.SettingsID, A.ApplicationName
	FROM cs_Posts P 
	INNER JOIN cs_Sections S on S.SectionID = P.SectionID
	INNER JOIN cs_ApplicationType A ON A.ApplicationType = S.ApplicationType
	WHERE S.GroupID = @GroupID AND P.SettingsID = @SettingsID
	AND	PostID NOT IN (SELECT PostID FROM cs_es_Search_RemoveQueue)

	-- step 2, add post to reindex table
	UPDATE cs_Posts set IsIndexed = 0 
	FROM cs_Posts P 
	INNER JOIN cs_Sections S on S.SectionID = P.SectionID
	WHERE S.GroupID = @GroupID AND P.SettingsID = @SettingsID
GO


GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

grant execute on [dbo].[cs_Posts_ReindexByGroup] to public
go