SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO


if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[cs_TemporaryUserToken_Create]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[cs_TemporaryUserToken_Create]
GO


create procedure [dbo].cs_TemporaryUserToken_Create
(
	@UserID			int,
	@SettingsID		int,
	@ExpirationDate	datetime
)
AS
SET Transaction Isolation Level Read UNCOMMITTED

DECLARE @Token uniqueidentifier
SET @Token = newid()

INSERT INTO
	cs_TemporaryUserTokens
	(
		UserID,
		SettingsID,
		Token,
		ExpirationDate
	)
VALUES
	(
		@UserID,
		@SettingsID,
		@Token,
		@ExpirationDate
	)

SELECT @Token


GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

grant execute on [dbo].[cs_TemporaryUserToken_Create] to public
go